Windows
=======

.. contents::

.. currentmodule:: qrenderdoc

Main Window
-----------

.. autoclass:: qrenderdoc.MainWindow
  :members:
  :undoc-members:

Event Browser
-------------

.. autoclass:: qrenderdoc.EventBrowser
  :members:
  :undoc-members:

API Inspector
-------------

.. autoclass:: qrenderdoc.APIInspector
  :members:
  :undoc-members:

Pipeline State
--------------

.. autoclass:: qrenderdoc.PipelineStateViewer
  :members:
  :undoc-members:

Texture Viewer
--------------

.. autoclass:: qrenderdoc.TextureViewer
  :members:
  :undoc-members:

Buffer Viewer
-------------

.. autoclass:: qrenderdoc.BufferViewer
  :members:
  :undoc-members:

Resource Inspector
------------------

.. autoclass:: qrenderdoc.ResourceInspector
  :members:
  :undoc-members:

Capture Dialog
--------------

.. autoclass:: qrenderdoc.CaptureDialog
  :members:
  :undoc-members:

Debug Messages
--------------

.. autoclass:: qrenderdoc.DebugMessageView
  :members:
  :undoc-members:

Comment View
------------

.. autoclass:: qrenderdoc.CommentView
  :members:
  :undoc-members:

Statistics Viewer
-----------------

.. autoclass:: qrenderdoc.StatisticsViewer
  :members:
  :undoc-members:

Timeline Bar
------------

.. autoclass:: qrenderdoc.TimelineBar
  :members:
  :undoc-members:

Performance Counter Viewer
--------------------------

.. autoclass:: qrenderdoc.PerformanceCounterViewer
  :members:
  :undoc-members:

Python Shell
------------

.. autoclass:: qrenderdoc.PythonShell
  :members:
  :undoc-members:

Shader Viewer
-------------

.. autoclass:: qrenderdoc.ShaderViewer
  :members:
  :undoc-members:

Constant Buffer Previewer
-------------------------

.. autoclass:: qrenderdoc.ConstantBufferPreviewer
  :members:
  :undoc-members:

Pixel History
-------------

.. autoclass:: qrenderdoc.PixelHistoryView
  :members:
  :undoc-members:

